﻿using Newtonsoft.Json;
using System;
using System.Windows.Forms;

namespace ExtendAnaDemo
{
    public partial class FmMain : Form
    {
        private ExtendPars ep = null;
        public FmMain()
        {
            InitializeComponent();
        }
        public FmMain(string[] args)
        {
            InitializeComponent();
            if (args.Length >= 1)
            {
                string pars = args[0];
                pars = pars.Replace("***", " ");//由于无法将双引号与空格一起传送，所以，将空格替换成路径中不能存在的***。
                ep = JsonConvert.DeserializeObject<ExtendPars>(pars);
                //lbFileName.Text = pars;
            }
        }
        /// <summary>
        /// 延伸分析的传递参数
        /// </summary>
        private class ExtendPars
        {
            /// <summary>
            /// 数据文件名称（含路径）
            /// </summary>
            public string fileName = "";
            /// <summary>
            /// 选择的时间
            /// </summary>
            public long pointerTime = 0;
        }

        private void FmMain_Load(object sender, EventArgs e)
        {
            if (ep != null)
            {
                lbFileName.Text = ep.fileName;
                if (ep.pointerTime != 0)
                    lbPointerTime.Text = new DateTime(ep.pointerTime).ToString("yy-MM-dd HH:mm:ss.sss");
            }
        }
    }
}
